unit koLink;

interface

type
 TkoInfo = packed record
  Version:            Byte;     //  (     ,  - )
  BuildNum:           Word;     //  
  UID:                LongWord; //  
  RelaysCnt:          Byte;     // -  
  RelayWDT:           Byte;     //  ,    
  TimeoutWDT:         Word;     //   
  RelayOnTimeWDT:     Word;     //     
  NumSwitchRelay:     Byte;     //  ,     
  TimeoutSwitchRelay: Word;     //    
  Temp:               SmallInt; //   
 end;

 //     (     ,  - )
function dllVersion: Byte; stdcall; external 'koLink.dll';

//  
procedure koInit; stdcall; external 'koLink.dll';

//    
procedure koDone; stdcall; external 'koLink.dll';

//        USB-,  
procedure koGetDeviceList(out pDeviceList: PWideChar); stdcall; external 'koLink.dll';

//        TkoInfo    pState
//   1      0  
function koGetInfo(out pState: TkoInfo): LongBool; stdcall; external 'koLink.dll';

//    
function koGetRelays(out pRelay1, pRelay2, pRelay3: Byte): LongBool; stdcall; external 'koLink.dll';

//    
//   1      0  
function koSetRelays(pRelay1, pRelay2, pRelay3: Byte): LongBool; stdcall; external 'koLink.dll';

//    
// pRelayNum -   ( 1  3)
// pState -   (0 - , 1 - )
function koSetRelay(pRelayNum, pState: Byte): LongBool; stdcall; external 'koLink.dll';

//      
// pRelayNum -   ( 1  3)
// pTime -    ( 1  65535 )
function koSwitchRelayOnTime(pRelayNum : Byte; pTime: Word): LongBool; stdcall; external 'koLink.dll';

//   
// pRelayNum -   ( 1  3)
// pTimeout - -   ( 1  1800 )
// pRelayOnTime -     ( 1  65535 )
//   pTimeout = 0   
function koStartWDT(pRelayNum: Byte; pTimeout, pRelayOnTime: Word): LongBool; stdcall; external 'koLink.dll';

//     
function koBoot: LongBool; stdcall; external 'koLink.dll';

implementation

end.